> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Media Search



## OpenAPI

````yaml GET /v1/media-searches/{media_search_id}
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/media-searches/{media_search_id}:
    get:
      tags:
        - Media Search
      summary: Media Search Meta-Data
      parameters:
        - description: media_search_id
          name: media_search_id
          in: path
          required: true
          schema:
            type: string
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MediaSearchMetaAggregateResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    MediaSearchMetaAggregateResponse:
      type: object
      properties:
        data:
          description: >-
            `data` represents the metadata item for a media search, containing
            details such as IDs, timestamps, and configurations.
          allOf:
            - $ref: '#/components/schemas/MediaSearchMetaAggregateResponseItem'
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    MediaSearchMetaAggregateResponseItem:
      type: object
      properties:
        created_at:
          description: >-
            `created_at` specifies the timestamp when the entity was created,
            formatted as an ISO 8601 string.
          type: string
          example: '2020-01-01T00:00:00.000Z'
        created_by:
          description: >-
            `created_by` indicates the identifier of the user who created the
            resource, typically a UUID.
          type: string
          example: c357e592-4a89-4381-b3b3-5015a36206b2
        media_search_configuration_id:
          description: >-
            `media_search_configuration_id` is the unique identifier for a media
            search configuration.
          type: string
          example: 08f835bd-a347-4804-8c19-77f879f2972d
        media_search_execution_ids:
          description: >-
            `media_search_execution_ids` contains a list of IDs representing the
            executions of a media search.
          type: array
          items:
            type: string
          example:
            - e592d75a-9ef7-4ed4-ab3e-0897858c5709
            - 3981d36e-3a94-475d-adc8-6a962184e772
            - a997bcf8-a7ea-437d-970b-32ac3d26f47d
        media_search_id:
          description: >-
            `media_search_id` represents the unique identifier for a media
            search operation.
          type: string
          example: 64530ff9-2a7b-427e-8f4f-a670c8c18ee6
        organisation_id:
          description: >-
            `organisation_id` represents the unique identifier of the
            organisation associated with the media search.
          type: string
          example: 123e4567-e89b-12d3-a456-426655440000
        subject_id:
          description: >-
            `subject_id` represents the unique identifier of the subject
            associated with the media search operation.
          type: string
          example: a89c1104-9e8b-4de3-aefe-f2f4269cb2db
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string

````